package com.pj.project.tb_car_record;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.pj.utils.sg.*;
import com.pj.project4sp.SP;

import cn.dev33.satoken.annotation.SaCheckPermission;


/**
 * Controller: tb_car_record -- 商户司机叫车记录表
 * @author yzs 
 */
@RestController
@RequestMapping("/TbCarRecord/")
public class TbCarRecordController {

	/** 底层 Service 对象 */
	@Autowired
	TbCarRecordService tbCarRecordService;

	/** 增 */  
	@RequestMapping("add")
	@SaCheckPermission(TbCarRecord.PERMISSION_CODE_ADD)
	public AjaxJson add(TbCarRecord t){
		tbCarRecordService.add(t);
		t = tbCarRecordService.getById(SP.publicMapper.getPrimarykey());
		return AjaxJson.getSuccessData(t);
	}

	/** 删 */  
	@RequestMapping("delete")
	@SaCheckPermission(TbCarRecord.PERMISSION_CODE_DEL)
	public AjaxJson delete(Long id){
		 tbCarRecordService.delete(id);
		return AjaxJson.getSuccess();
	}
	
	/** 删 - 根据id列表 */  
	@RequestMapping("deleteByIds")
	@SaCheckPermission(TbCarRecord.PERMISSION_CODE_DEL)
	public AjaxJson deleteByIds(){
		List<Long> ids = SoMap.getRequestSoMap().getListByComma("ids", long.class); 
		int line = SP.publicMapper.deleteByIds(TbCarRecord.TABLE_NAME, ids);
		return AjaxJson.getByLine(line);
	}
	
	/** 改 */  
	@RequestMapping("update")
	@SaCheckPermission(TbCarRecord.PERMISSION_CODE_EDIT)
	public AjaxJson update(TbCarRecord t){
		tbCarRecordService.update(t);
		return AjaxJson.getSuccess();
	}

	/** 查 - 根据id */  
	@RequestMapping("getById")
		@SaCheckPermission(TbCarRecord.PERMISSION_CODE)
	public AjaxJson getById(Long id){
		TbCarRecord t = tbCarRecordService.getById(id);
		return AjaxJson.getSuccessData(t);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */  
	@RequestMapping("getList")
		@SaCheckPermission(TbCarRecord.PERMISSION_CODE)
	public AjaxJson getList() { 
		SoMap so = SoMap.getRequestSoMap();
		List<TbCarRecord> list = tbCarRecordService.getList(so.startPage());
		return AjaxJson.getPageData(so.getDataCount(), list);
	}
	
	
	
	

	
	
	

}
